## dupeguru 4.0.3

=== Makefile ===
#!/usr/bin/make -f

all:
	dh_prep
	dh_installdirs
	touch build_pe_modules.py
	python3 build_pe_modules.py
	chmod +x src/run.py
	cp -R src/ $(CURDIR)/debian/dupeguru/usr/share/dupeguru
	cp $(CURDIR)/debian/dupeguru.desktop $(CURDIR)/debian/dupeguru/usr/share/applications
	ln -s /usr/share/dupeguru/run.py $(CURDIR)/debian/dupeguru/usr/bin/dupeguru

=== debian/changelog ===
dupeguru (4.0.3-1mx15+1) mx; urgency=medium

  * Rebuild for MX-15.
  * Convert to 3.0 (quilt) source package.
  * debian/control: 
    - change section to utils instead of devel.
    - fix long and short descriptions.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 06 Apr 2017 11:51:53 -0700

dupeguru (4.0.3~trusty) trusty; urgency=low

  * Add new picture cache backend: shelve
  * Make shelve picture cache backend the active one on MacOS to fix #394 more
    elegantly. [cocoa]
  * Remove Sparkle (auto-updates) due to technical limitations. [cocoa]

 -- Virgil Dupras <hsoft@hardcoded.net>  Thu, 24 Nov 2016 00:00:00 +0000

dupeguru (4.0.2~trusty) trusty; urgency=low

  * Fix systematic crash in Picture Mode under MacOS Sierra. (#394)
  * No change for Linux. Just keeping version in sync.

 -- Virgil Dupras <hsoft@hardcoded.net>  Sun, 09 Oct 2016 00:00:00 +0000

dupeguru (4.0.1~trusty) trusty; urgency=low

  * Add Greek localization, by Gabriel Koutilellis. (#382)
  * Fix localization base path. [qt] (#378)
  * Fix broken load results dialog. [qt]
  * Fix crash on load results. [cocoa] (#380)
  * Save preferences more predictably. [qt] (#379)
  * Fix picture mode's fuzzy block scanner threshold. (#387)

 -- Virgil Dupras <hsoft@hardcoded.net>  Wed, 24 Aug 2016 00:00:00 +0000

dupeguru (4.0.0~trusty) trusty; urgency=low

  * Merge Standard, Music and Picture editions in the same application!
  * Improve documentation. (#294)
  * Add Polish, Korean, Spanish and Dutch localizations.
  * qt: Fix wrong use_regexp option propagation to core. (#295)
  * qt: Fix progress window mistakenly showing up on startup. (#357)
  * Bump Python requirement to v3.4.
  * Bump OS X requirement to 10.8
  * Drop Windows support, maybe temporarily.  `Details <https://www.hardcoded.net/archive2015#2015-11-01>`_
  * cocoa: Drop iPhoto, Aperture and iTunes support. Was unmaintained and obsolete.
  * Drop "Audio Contents" scan type. Was confusing and seldom useful.
  * Change license to GPLv3

 -- Virgil Dupras <hsoft@hardcoded.net>  Fri, 01 Jul 2016 00:00:00 +0000

dupeguru (3.9.1~trusty) trusty; urgency=low

  * Fixed ``AttributeError: 'ComboboxModel' object has no attribute 'reset'``. [Linux, Windows] (#254)
  * Fixed ``PermissionError`` on saving results. (#266)
  * Fixed a build problem introduced by Sphinx 1.2.3.
  * Updated German localisation, by Frank Weber.

 -- Virgil Dupras <hsoft@hardcoded.net>  Fri, 17 Oct 2014 00:00:00 +0000

dupeguru (3.9.0~trusty) trusty; urgency=low

  * This is mostly a dependencies upgrade.
  * Upgraded to Python 3.3.
  * Upgraded to Qt 5.
  * Minimum Windows version is now Windows 7 64bit.
  * Minimum Ubuntu version is now 14.04.
  * Minimum OS X version is now 10.7 (Lion).
  * ... But with a couple of little improvements.
  * Improved documentation.
  * Overwrite subfolders' state when setting states in folder dialog (#248)
  * The error report dialog now brings the user to Github issues.

 -- Virgil Dupras <hsoft@hardcoded.net>  Sat, 19 Apr 2014 00:00:00 +0000

dupeguru (3.8.0~trusty) trusty; urgency=low

  * Disable symlink/hardlink deletion option when not relevant. (#247)
  * Make Cmd+A select all folders in the Folder Selection dialog. [Mac] (#228)
  * Make non-numeric delta comparison case insensitive. (#239)
  * Fix surrogate-related UnicodeEncodeError on CSV export. (#210)
  * Fixed crash on Dupe Count sorting with Delta + Dupes Only. (#238)
  * Improved documentation.
  * Important internal refactorings.
  * Dropped Ubuntu 12.04 and 12.10 support.
  * Removed the fairware dialog ([More Info](http://www.hardcoded.net/articles/phasing-out-fairware)).

 -- Virgil Dupras <hsoft@hardcoded.net>  Sat, 07 Dec 2013 00:00:00 +0000

dupeguru (3.7.1~trusty) trusty; urgency=low

  * Fixed folder scan type, which was broken in v3.7.0.

 -- Virgil Dupras <hsoft@hardcoded.net>  Mon, 19 Aug 2013 00:00:00 +0000

dupeguru (3.7.0~trusty) trusty; urgency=low

  * Improved delta values to support non-numerical values. (#213)
  * Improved the Re-Prioritize dialog's UI. (#224)
  * Added hardlink/symlink support on Windows Vista+. (#220)
  * Dropped 32bit support on Mac OS X.
  * Added Vietnamese localization by Phan Anh.

 -- Virgil Dupras <hsoft@hardcoded.net>  Sat, 17 Aug 2013 00:00:00 +0000

dupeguru (3.6.1~trusty) trusty; urgency=low

  * Improved "Make Selection Reference" to make it clearer. (#222)
  * Improved "Open Selected" to allow opening more than one file at once. (#142)
  * Fixed a few typos here and there. (#216 #225)
  * Tweaked the fairware dialog ([More Info](http://www.hardcoded.net/articles/phasing-out-fairware)).
  * Added Arch Linux packaging
  * Added a 64-bit build for Windows.
  * Improved Russian localization by Kyrill Detinov.
  * Improved Brazilian localization by Victor Figueiredo.

 -- Virgil Dupras <hsoft@hardcoded.net>  Sun, 28 Apr 2013 00:00:00 +0000

dupeguru (3.6.0~trusty) trusty; urgency=low

  * Added "Export to CSV". (#189)
  * Added "Replace with symlinks" to complement "Replace with hardlinks". [Mac, Linux] (#194)
  * dupeGuru now tells how many duplicates were affected after each re-prioritization operation. (#204)
  * Added Longest/Shortest filename criteria in the re-prioritize dialog. (#198)
  * Fixed result table cells which mistakenly became writable in v3.5.0. [Mac] (#203)
  * Fixed "Rename Selected" which was broken since v3.5.0. [Mac] (#202)
  * Fixed a bug where "Reset to Defaults" in the Columns menu wouldn't refresh menu items' marked state.
  * Added Brazilian localization by Victor Figueiredo.

 -- Virgil Dupras <hsoft@hardcoded.net>  Wed, 08 Aug 2012 00:00:00 +0000

dupeguru (3.5.0~trusty) trusty; urgency=low

  * Added a Deletion Options panel.
  * Greatly improved memory usage for big scans.
  * Added a keybinding for the filter field. (#182) [Mac]
  * Upgraded minimum requirements for Ubuntu to 12.04.

 -- Virgil Dupras <hsoft@hardcoded.net>  Fri, 01 Jun 2012 00:00:00 +0000

dupeguru (3.4.1~trusty) trusty; urgency=low



=== debian/control ===
Source: dupeguru
Section: utils
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
Bugs: mailto: <stevep@mxlinux.org>
XSBC-Original-Maintainer: Virgil Dupras <hsoft@hardcoded.net>
Build-Depends: debhelper (>= 7), python3-dev, python3-setuptools
Standards-Version: 3.9.6
Homepage: http://www.hardcoded.net

Package: dupeguru
Architecture: any
Depends: ${shlibs:Depends}, python3 (>=3.4), python3-pyqt5
Provides: dupeguru-se, dupeguru-me, dupeguru-pe
Replaces: dupeguru-se, dupeguru-me, dupeguru-pe
Conflicts: dupeguru-se, dupeguru-me, dupeguru-pe
Description: duplicate file finder
 dupeGuru is a cross-platform (Linux and OS X) GUI tool to find duplicate files
 in a system. It's written mostly in Python 3 and has the peculiarity of using multiple GUI toolkits, all using the same core Python code. On OS X, the UI
 layer is written in Objective-C and uses Cocoa. On Linux, it's written in Python and uses python3-Qt5.

## dupeguru 4.0.4

=== debian/changelog ===
dupeguru (4.0.4-0.1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Use 3.0 (quilt) source format.
  * Improve debian/copyright.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 12 Apr 2020 11:05:56 -0700

dupeguru (4.0.4-0~eugenesan~bionic1) bionic; urgency=medium

  * Upload to PPA

 -- Eugene San (eugenesan) <eugenesan@gmail.com>  Thu, 29 Aug 2019 14:56:29 -0700

dupeguru (4.0.4~unstable) unstable; urgency=low

  * Update qt/platform.py to support other Unix style OSes (#444)
  * Fix font size scaling issue in properties dialog [qt] (#504)
  * Updates to support Python 3.7
  * Fix issue with result window appearing partially off-screen [qt] (#521)
  * Fix translation error for Simplified Chinese
  * Updates to language files for German (#479)
  * Fix error with multiple close calls to the progress window [qt] (#460, #449)
  * Add Travis CI Builds
  * Un-recurse methods get_files() and get_state() to improve stability (#421)
  * Updates to language files for Italian (#445, #446, #447, #448)
  * Fix issue with cache_shelve (#402, #439)
  * Updated Windows packaging and builds (#438, #456, #461, #491, #474, #490, #565)
  * Handle OS termination signals (#425)
  * Make documentation installation optional
  * Move cocoa UI to dupeguru-cocoa [cocoa]

 -- Virgil Dupras <hsoft@hardcoded.net>  Mon, 13 May 2019 00:00:00 +0000

dupeguru (4.0.3~unstable) unstable; urgency=low

  * Add new picture cache backend: shelve
  * Make shelve picture cache backend the active one on MacOS to fix #394 more  elegantly. [cocoa]
  * Remove Sparkle (auto-updates) due to technical limitations. [cocoa]

 -- Virgil Dupras <hsoft@hardcoded.net>  Thu, 24 Nov 2016 00:00:00 +0000

dupeguru (4.0.2~unstable) unstable; urgency=low

  * Fix systematic crash in Picture Mode under MacOS Sierra. (#394)
  * No change for Linux. Just keeping version in sync.

 -- Virgil Dupras <hsoft@hardcoded.net>  Sun, 09 Oct 2016 00:00:00 +0000

dupeguru (4.0.1~unstable) unstable; urgency=low

  * Add Greek localization, by Gabriel Koutilellis. (#382)
  * Fix localization base path. [qt] (#378)
  * Fix broken load results dialog. [qt]
  * Fix crash on load results. [cocoa] (#380)
  * Save preferences more predictably. [qt] (#379)
  * Fix picture mode's fuzzy block scanner threshold. (#387)

 -- Virgil Dupras <hsoft@hardcoded.net>  Wed, 24 Aug 2016 00:00:00 +0000

dupeguru (4.0.0~unstable) unstable; urgency=low

  * Merge Standard, Music and Picture editions in the same application!
  * Improve documentation. (#294)
  * Add Polish, Korean, Spanish and Dutch localizations.
  * qt: Fix wrong use_regexp option propagation to core. (#295)
  * qt: Fix progress window mistakenly showing up on startup. (#357)
  * Bump Python requirement to v3.4.
  * Bump OS X requirement to 10.8
  * Drop Windows support, maybe temporarily.  `Details <https://www.hardcoded.net/archive2015#2015-11-01>`_
  * cocoa: Drop iPhoto, Aperture and iTunes support. Was unmaintained and obsolete.
  * Drop "Audio Contents" scan type. Was confusing and seldom useful.
  * Change license to GPLv3

 -- Virgil Dupras <hsoft@hardcoded.net>  Fri, 01 Jul 2016 00:00:00 +0000

dupeguru (3.9.1~unstable) unstable; urgency=low

  * Fixed ``AttributeError: 'ComboboxModel' object has no attribute 'reset'``. [Linux, Windows] (#254)
  * Fixed ``PermissionError`` on saving results. (#266)
  * Fixed a build problem introduced by Sphinx 1.2.3.
  * Updated German localisation, by Frank Weber.

 -- Virgil Dupras <hsoft@hardcoded.net>  Fri, 17 Oct 2014 00:00:00 +0000

dupeguru (3.9.0~unstable) unstable; urgency=low

  * This is mostly a dependencies upgrade.
  * Upgraded to Python 3.3.
  * Upgraded to Qt 5.
  * Minimum Windows version is now Windows 7 64bit.
  * Minimum Ubuntu version is now 14.04.
  * Minimum OS X version is now 10.7 (Lion).
  * ... But with a couple of little improvements.
  * Improved documentation.
  * Overwrite subfolders' state when setting states in folder dialog (#248)
  * The error report dialog now brings the user to Github issues.

 -- Virgil Dupras <hsoft@hardcoded.net>  Sat, 19 Apr 2014 00:00:00 +0000

dupeguru (3.8.0~unstable) unstable; urgency=low

  * Disable symlink/hardlink deletion option when not relevant. (#247)
  * Make Cmd+A select all folders in the Folder Selection dialog. [Mac] (#228)
  * Make non-numeric delta comparison case insensitive. (#239)
  * Fix surrogate-related UnicodeEncodeError on CSV export. (#210)
  * Fixed crash on Dupe Count sorting with Delta + Dupes Only. (#238)
  * Improved documentation.
  * Important internal refactorings.
  * Dropped Ubuntu 12.04 and 12.10 support.
  * Removed the fairware dialog ([More Info](http://www.hardcoded.net/articles/phasing-out-fairware)).

 -- Virgil Dupras <hsoft@hardcoded.net>  Sat, 07 Dec 2013 00:00:00 +0000

dupeguru (3.7.1~unstable) unstable; urgency=low

  * Fixed folder scan type, which was broken in v3.7.0.

 -- Virgil Dupras <hsoft@hardcoded.net>  Mon, 19 Aug 2013 00:00:00 +0000

dupeguru (3.7.0~unstable) unstable; urgency=low

  * Improved delta values to support non-numerical values. (#213)
  * Improved the Re-Prioritize dialog's UI. (#224)
  * Added hardlink/symlink support on Windows Vista+. (#220)
  * Dropped 32bit support on Mac OS X.
  * Added Vietnamese localization by Phan Anh.

 -- Virgil Dupras <hsoft@hardcoded.net>  Sat, 17 Aug 2013 00:00:00 +0000

dupeguru (3.6.1~unstable) unstable; urgency=low

  * Improved "Make Selection Reference" to make it clearer. (#222)
  * Improved "Open Selected" to allow opening more than one file at once. (#142)
  * Fixed a few typos here and there. (#216 #225)
  * Tweaked the fairware dialog ([More Info](http://www.hardcoded.net/articles/phasing-out-fairware)).
  * Added Arch Linux packaging
  * Added a 64-bit build for Windows.
  * Improved Russian localization by Kyrill Detinov.
  * Improved Brazilian localization by Victor Figueiredo.

 -- Virgil Dupras <hsoft@hardcoded.net>  Sun, 28 Apr 2013 00:00:00 +0000



=== debian/control ===
Source: dupeguru
Section: devel
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Virgil Dupras <hsoft@hardcoded.net>,
            Eugene San (eugenesan) <eugenesan@gmail.com>
Build-Depends: debhelper (>= 9.2),
               python3-dev (>=3.4),
               python3-setuptools
Standards-Version: 3.9.2
Homepage: https://dupeguru.voltaicideas.net
Vcs-Browser: https://github.com/arsenetar/dupeguru
Vcs-Git: https://github.com/arsenetar/dupeguru.git

Package: dupeguru
Architecture: any
Depends: ${python3:Depends},
         python3 (>=3.4),
         python3.7 | python3.5 | python3.4,
         python3-pyqt5
Provides: dupeguru-se, dupeguru-me, dupeguru-pe
Replaces: dupeguru-se, dupeguru-me, dupeguru-pe
Conflicts: dupeguru-se, dupeguru-me, dupeguru-pe
Description: dupeGuru duplicate file finder
 dupeGuru is a cross-platform (Linux and OS X) GUI tool to find duplicate files
 in a system. It's written mostly in Python 3 and has the peculiarity of using
 multiple GUI toolkits, all using the same core Python code.
 On OS X, the UI layer is written in Objective-C and uses Cocoa.
 On Linux, it's written in Python, a bit of C, and uses python3-Qt5.

## dupeguru 4.1.0

=== Makefile ===
#!/usr/bin/make -f

all:
	dh_prep
	dh_installdirs
	touch build_pe_modules.py
	python3 build_pe_modules.py
	chmod +x src/run.py
	cp -R src/ "$(CURDIR)/debian/dupeguru/usr/share/dupeguru"
	cp "$(CURDIR)/debian/dupeguru.desktop" "$(CURDIR)/debian/dupeguru/usr/share/applications"
	mkdir -p "$(CURDIR)/debian/dupeguru/usr/share/pixmaps"
	ln -s "/usr/share/dupeguru/dgse_logo_128.png" "$(CURDIR)/debian/dupeguru/usr/share/pixmaps/dupeguru.png"
	ln -s "/usr/share/dupeguru/run.py" "$(CURDIR)/debian/dupeguru/usr/bin/dupeguru"

=== debian/changelog ===
dupeguru (4.1.0-0.1~mx17+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 22 Feb 2021 20:03:54 -0800

dupeguru (4.1.0) unstable; urgency=low

  * Use tabs instead of separate windows (#688)
  * Show the shortcut for "mark selected" in results dialog (#656, #641)
  * Add image comparison features to details dialog (#683)
  * Add the ability to use regex based exclusion filters (#705)
  * Change reference row background color, and allow user to adjust the color
  * Save / Load directories as XML (#706)
  * Workaround for EXIF IFD type mismatch in parsing function (#630, #698)
  * Progress dialog stuck at "Verified X/X matches" (#693, #694)
  * Fix word wrap in ignore list dialog (#687)
  * Fix issue with result window action on creation (#685)
  * Colorize details table differences, allow moving rows (#682)
  * Fix loading Result of 'Scan Type: Folders' shows only '---' in every 
    table cell (#677, #676)
  * Fix issue with details and results dialog row trimming (#655, #654)
  * Add option to enable/disable bold font (#646, #314)
  * Use relative icon path for themes to override more easily (#746)
  * Fix issues with Python 3.8 compatibility (#665)
  * Fix flake8 issues (#672)
  * Update to use newer pytest and expand flake8 checking, cleanup various
    Deprecation Warnings
  * Add warnings to packaging script when files are not built (#691)
  * Use relative icon path for themes to override more easily (#746)
  * Update Packaging for Ubuntu (#593)
  * Minor Build Updates (#627, #575, #628, #614)
  * Update CI builds and add windows CI (#572, #669)

 -- Virgil Dupras <hsoft@hardcoded.net>  Tue, 29 Dec 2020 00:00:00 +0000

dupeguru (4.0.4) unstable; urgency=low

  * Update qt/platform.py to support other Unix style OSes (#444)
  * Fix font size scaling issue in properties dialog [qt] (#504)
  * Updates to support Python 3.7
  * Fix issue with result window appearing partially off-screen [qt] (#521)
  * Fix translation error for Simplified Chinese
  * Updates to language files for German (#479)
  * Fix error with multiple close calls to the progress window [qt] (#460, #449)
  * Add Travis CI Builds
  * Un-recurse methods get_files() and get_state() to improve stability (#421)
  * Updates to language files for Italian (#445, #446, #447, #448)
  * Fix issue with cache_shelve (#402, #439)
  * Updated Windows packaging and builds 
  * Handle OS termination signals (#425)
  * Make documentation installation optional
  * Move cocoa UI to dupeguru-cocoa [cocoa]

 -- Virgil Dupras <hsoft@hardcoded.net>  Mon, 13 May 2019 00:00:00 +0000

dupeguru (4.0.3) unstable; urgency=low

  * Add new picture cache backend: shelve
  * Make shelve picture cache backend the active one on MacOS to fix #394 more
    elegantly. [cocoa]
  * Remove Sparkle (auto-updates) due to technical limitations. [cocoa]

 -- Virgil Dupras <hsoft@hardcoded.net>  Thu, 24 Nov 2016 00:00:00 +0000

dupeguru (4.0.2) unstable; urgency=low

  * Fix systematic crash in Picture Mode under MacOS Sierra. (#394)
  * No change for Linux. Just keeping version in sync.

 -- Virgil Dupras <hsoft@hardcoded.net>  Sun, 09 Oct 2016 00:00:00 +0000

dupeguru (4.0.1) unstable; urgency=low

  * Add Greek localization, by Gabriel Koutilellis. (#382)
  * Fix localization base path. [qt] (#378)
  * Fix broken load results dialog. [qt]
  * Fix crash on load results. [cocoa] (#380)
  * Save preferences more predictably. [qt] (#379)
  * Fix picture mode's fuzzy block scanner threshold. (#387)

 -- Virgil Dupras <hsoft@hardcoded.net>  Wed, 24 Aug 2016 00:00:00 +0000

dupeguru (4.0.0) unstable; urgency=low

  * Merge Standard, Music and Picture editions in the same application!
  * Improve documentation. (#294)
  * Add Polish, Korean, Spanish and Dutch localizations.
  * qt: Fix wrong use_regexp option propagation to core. (#295)
  * qt: Fix progress window mistakenly showing up on startup. (#357)
  * Bump Python requirement to v3.4.
  * Bump OS X requirement to 10.8
  * cocoa: Drop iPhoto, Aperture and iTunes support. Was unmaintained and
    obsolete.
  * Drop "Audio Contents" scan type. Was confusing and seldom useful.
  * Change license to GPLv3

 -- Virgil Dupras <hsoft@hardcoded.net>  Fri, 01 Jul 2016 00:00:00 +0000

dupeguru (3.9.1) unstable; urgency=low

  * Fixed ``AttributeError: 'ComboboxModel' object has no attribute 'reset'``. 
  * Fixed ``PermissionError`` on saving results. (#266)
  * Fixed a build problem introduced by Sphinx 1.2.3.
  * Updated German localisation, by Frank Weber.

 -- Virgil Dupras <hsoft@hardcoded.net>  Fri, 17 Oct 2014 00:00:00 +0000

dupeguru (3.9.0) unstable; urgency=low

  * This is mostly a dependencies upgrade.
  * Upgraded to Python 3.3.
  * Upgraded to Qt 5.
  * Minimum Windows version is now Windows 7 64bit.
  * Minimum Ubuntu version is now 14.04.
  * Minimum OS X version is now 10.7 (Lion).
  * ... But with a couple of little improvements.
  * Improved documentation.
  * Overwrite subfolders' state when setting states in folder dialog (#248)
  * The error report dialog now brings the user to Github issues.

 -- Virgil Dupras <hsoft@hardcoded.net>  Sat, 19 Apr 2014 00:00:00 +0000

dupeguru (3.8.0) unstable; urgency=low

  * Disable symlink/hardlink deletion option when not relevant. (#247)
  * Make Cmd+A select all folders in the Folder Selection dialog. [Mac] (#228)
  * Make non-numeric delta comparison case insensitive. (#239)
  * Fix surrogate-related UnicodeEncodeError on CSV export. (#210)
  * Fixed crash on Dupe Count sorting with Delta + Dupes Only. (#238)
  * Improved documentation.
  * Important internal refactorings.
  * Dropped Ubuntu 12.04 and 12.10 support.
  * Removed the fairware dialog ([More Info](http://www.hardcoded.net/articles/phasing-out-fairware)).

 -- Virgil Dupras <hsoft@hardcoded.net>  Sat, 07 Dec 2013 00:00:00 +0000

dupeguru (3.7.1) unstable; urgency=low

  * Fixed folder scan type, which was broken in v3.7.0.



=== debian/control ===
Source: dupeguru
Section: devel
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Virgil Dupras <hsoft@hardcoded.net>, 
                          Eugene San (eugenesan) <eugenesan@gmail.com>
Build-Depends: debhelper (>= 9), python3-dev, python3-setuptools
Standards-Version: 3.9.2
Homepage: https://dupeguru.voltaicideas.net
Vcs-Browser: https://github.com/arsenetar/dupeguru
Vcs-Git: https://github.com/arsenetar/dupeguru.git

Package: dupeguru
Architecture: any
Depends: python3 (>=3.4), python3-pyqt5, ${shlibs:Depends}
Provides: dupeguru-me, dupeguru-pe, dupeguru-se
Replaces: dupeguru-me, dupeguru-pe, dupeguru-se
Conflicts: dupeguru-me, dupeguru-pe, dupeguru-se
Description: GUI tool to find duplicate files
 dupeGuru is a cross-platform (Linux and OS X) GUI tool to find duplicate files
 in a system. It's written mostly in Python 3 and has the peculiarity of using
 multiple GUI toolkits, all using the same core Python code.
 On OS X, the UI layer is written in Objective-C and uses Cocoa.
 On Linux, it's written in Python and uses Qt5.

## dupeguru 4.1.1

=== debian/changelog ===
dupeguru (4.1.1-0.1~mx21+1) mx; urgency=medium

  * Initial build from upstream release for MX-21.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Thu, 11 Nov 2021 12:35:29 -0500

=== debian/control ===
Source: dupeguru
Section: devel
Priority: optional
Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
XSBC-Original-Maintainer: Virgil Dupras <hsoft@hardcoded.net>,
            Eugene San (eugenesan) <eugenesan@gmail.com>
Build-Depends: debhelper (>= 9.2),
               python3-dev (>=3.4),
               python3-setuptools
Standards-Version: 3.9.2
Homepage: https://dupeguru.voltaicideas.net
Vcs-Browser: https://github.com/arsenetar/dupeguru
Vcs-Git: https://github.com/arsenetar/dupeguru.git

Package: dupeguru
Architecture: any
Depends: ${shlibs:Depends}, ${python3:Depends},
         python3 (>=3.4),
         python3.9 | python3.7 | python3.5,
         python3-pyqt5
Provides: dupeguru-se, dupeguru-me, dupeguru-pe
Replaces: dupeguru-se, dupeguru-me, dupeguru-pe
Conflicts: dupeguru-se, dupeguru-me, dupeguru-pe
Description: dupeGuru duplicate file finder
 dupeGuru is a cross-platform (Linux and OS X) GUI tool to find duplicate files
 in a system. It's written mostly in Python 3 and has the peculiarity of using
 multiple GUI toolkits, all using the same core Python code.
 On OS X, the UI layer is written in Objective-C and uses Cocoa.
 On Linux, it's written in Python, a bit of C, and uses python3-Qt5.

## dupeguru 4.3.1

=== Makefile ===
PYTHON ?= python3
PYTHON_VERSION_MINOR := $(shell ${PYTHON} -c "import sys; print(sys.version_info.minor)")
PYRCC5 ?= pyrcc5
REQ_MINOR_VERSION = 7
PREFIX ?= /usr/local

# Window compatability via Msys2 
# - venv creates Scripts instead of bin
# - compile generates .pyd instead of .so
# - venv with --sytem-site-packages has issues on windows as well...

ifeq ($(shell ${PYTHON} -c "import platform; print(platform.system())"), Windows)
	BIN = Scripts
	SO = *.pyd
	VENV_OPTIONS = 
else
	BIN = bin
	SO = *.so
	VENV_OPTIONS = --system-site-packages
endif

# Set this variable if all dependencies are already met on the system. We will then avoid the
# whole vitualenv creation and pip install dance.
NO_VENV ?=

ifdef NO_VENV
	VENV_PYTHON = $(PYTHON)
else
	VENV_PYTHON = ./env/$(BIN)/python
endif

# If you're installing into a path that is not going to be the final path prefix (such as a
# sandbox), set DESTDIR to that path.

# Our build scripts are not very "make like" yet and perform their task in a bundle. For now, we
# use one of each file to act as a representative, a target, of these groups.

packages = hscommon core qt
localedirs = $(wildcard locale/*/LC_MESSAGES)
pofiles = $(wildcard locale/*/LC_MESSAGES/*.po)
mofiles = $(patsubst %.po,%.mo,$(pofiles))

vpath %.po $(localedirs)
vpath %.mo $(localedirs)

all: | env i18n modules qt/dg_rc.py 
	@echo "Build complete! You can run dupeGuru with 'make run'"

run:
	$(VENV_PYTHON) run.py

pyc: | env
	${VENV_PYTHON} -m compileall ${packages}

reqs:
ifneq ($(shell test $(PYTHON_VERSION_MINOR) -ge $(REQ_MINOR_VERSION); echo $$?),0)
	$(error "Python 3.${REQ_MINOR_VERSION}+ required. Aborting.")
endif
ifndef NO_VENV
	@${PYTHON} -m venv -h > /dev/null || \
		echo "Creation of our virtualenv failed. If you're on Ubuntu, you probably need python3-venv."
endif
	@${PYTHON} -c 'import PyQt5' >/dev/null 2>&1 || \
		{ echo "PyQt 5.4+ required. Install it and try again. Aborting"; exit 1; }

env: | reqs
ifndef NO_VENV
	@echo "Creating our virtualenv"
	${PYTHON} -m venv env
	$(VENV_PYTHON) -m pip install -r requirements.txt
# We can't use the "--system-site-packages" flag on creation because otherwise we end up with
# the system's pip and that messes up things in some cases (notably in Gentoo).
	${PYTHON} -m venv --upgrade ${VENV_OPTIONS} env
endif

build/help: | env
	$(VENV_PYTHON) build.py --doc

qt/dg_rc.py: qt/dg.qrc
	$(PYRCC5) qt/dg.qrc > qt/dg_rc.py

i18n: $(mofiles)

%.mo: %.po
	msgfmt -o $@ $<	

modules: | env
	$(VENV_PYTHON) build.py --modules

mergepot: | env
	$(VENV_PYTHON) build.py --mergepot

normpo: | env
	$(VENV_PYTHON) build.py --normpo

install: all pyc
	mkdir -p ${DESTDIR}${PREFIX}/share/dupeguru
	cp -rf ${packages} locale ${DESTDIR}${PREFIX}/share/dupeguru
	cp -f run.py ${DESTDIR}${PREFIX}/share/dupeguru/run.py
	chmod 755 ${DESTDIR}${PREFIX}/share/dupeguru/run.py
	mkdir -p ${DESTDIR}${PREFIX}/bin
	ln -sf ${PREFIX}/share/dupeguru/run.py ${DESTDIR}${PREFIX}/bin/dupeguru
	mkdir -p ${DESTDIR}${PREFIX}/share/applications
	cp -f pkg/dupeguru.desktop ${DESTDIR}${PREFIX}/share/applications
	mkdir -p ${DESTDIR}${PREFIX}/share/pixmaps
	cp -f images/dgse_logo_128.png ${DESTDIR}${PREFIX}/share/pixmaps/dupeguru.png

installdocs: build/help
	mkdir -p ${DESTDIR}${PREFIX}/share/dupeguru
	cp -rf build/help ${DESTDIR}${PREFIX}/share/dupeguru

uninstall:
	rm -rf "${DESTDIR}${PREFIX}/share/dupeguru"
	rm -f "${DESTDIR}${PREFIX}/bin/dupeguru"
	rm -f "${DESTDIR}${PREFIX}/share/applications/dupeguru.desktop"
	rm -f "${DESTDIR}${PREFIX}/share/pixmaps/dupeguru.png"

clean:
	-rm -rf build
	-rm locale/*/LC_MESSAGES/*.mo
	-rm core/pe/*.$(SO) qt/pe/*.$(SO)

.PHONY: clean normpo mergepot modules i18n reqs run pyc install uninstall all

=== requirements.txt ===
distro>=1.5.0
mutagen>=1.44.0
polib>=1.1.0
PyQt5 >=5.14.1,<6.0; sys_platform != 'linux'
pywin32>=228; sys_platform == 'win32'
semantic-version>=2.0.0,<3.0.0
Send2Trash>=1.3.0
sphinx>=3.0.0
xxhash>=3.0.0,<4.0.0

=== pkg/debian/Makefile ===
#!/usr/bin/make -f

all:
	dh_prep
	dh_installdirs
	touch build_pe_modules.py
	python3 build_pe_modules.py
	chmod +x src/run.py
	cp -R src/ "$(CURDIR)/debian/{pkgname}/usr/share/{execname}"
	cp "$(CURDIR)/debian/{execname}.desktop" "$(CURDIR)/debian/{pkgname}/usr/share/applications"
	mkdir -p "$(CURDIR)/debian/{pkgname}/usr/share/pixmaps"
	ln -s "/usr/share/{execname}/dgse_logo_128.png" "$(CURDIR)/debian/{pkgname}/usr/share/pixmaps/{execname}.png"
	ln -s "/usr/share/{execname}/run.py" "$(CURDIR)/debian/{pkgname}/usr/bin/{execname}"

=== debian/changelog ===
dupeguru (4.3.1-6) unstable; urgency=medium

  * debian/patches/errno.patch:
    - Use errno.EISDIR and errno.EACCESS instead of hardcoding values,
      fix FTBFS on GNU Hurd.
  * debian/rules:
    - Do not install .pytest_cache folder.

 -- Luca Falavigna <dktrkranz@debian.org>  Thu, 21 Aug 2025 22:28:20 +0200

dupeguru (4.3.1-5) unstable; urgency=medium

  * debian/patches/hurd-isolation_level.patch:
    - Use isolation_level=None mode for GNU Hurd to fix FTBFS.
  * debian/control:
    - Compatible with Debian Policy 4.7.2
  * debian/copyright:
    - Update FSF address information.
    - Update copyright years.

 -- Luca Falavigna <dktrkranz@debian.org>  Wed, 20 Aug 2025 15:29:41 +0200

dupeguru (4.3.1-4) unstable; urgency=medium

  * debian/patches/importlib.patch:
    - Update pygettext.py to get rid of imp module (Closes: #1061428).
  * debian/control:
    - Compatible with Debian Policy 4.6.2
  * debian/clean:
    - Clean .eggs directory during build.
  * debian/copyright:
    - Update copyright years.

 -- Luca Falavigna <dktrkranz@debian.org>  Fri, 09 Feb 2024 13:29:40 +0100

dupeguru (4.3.1-3) unstable; urgency=medium

  * debian/patches/requires.patch:
    - Remove sys_platform tag from PyQt5 requirement to allow one to add
      python3-pyqt5 to Depends (Closes: #1021383).

 -- Luca Falavigna <dktrkranz@debian.org>  Sat, 08 Oct 2022 13:02:56 +0200

dupeguru (4.3.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Luca Falavigna <dktrkranz@debian.org>  Mon, 26 Sep 2022 20:50:12 +0200

dupeguru (4.3.1-1) experimental; urgency=medium

  * Initial release (Closes: #995872).

 -- Luca Falavigna <dktrkranz@debian.org>  Fri, 02 Sep 2022 21:17:42 +0000

=== debian/control ===
Source: dupeguru
Section: utils
Priority: optional
Maintainer: Luca Falavigna <dktrkranz@debian.org>
Uploaders: Debian Python Team <team+python@tracker.debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               dh-sequence-python3,
               python3-setuptools,
               python3-dev (>= 3.7~),
               pyqt5-dev-tools (>= 5.14.1~),
               python3-mutagen (>= 1.44.0~),
               python3-polib (>= 1.1.0~),
               python3-semantic-version (>= 2.0.0~),
               python3-send2trash (>= 1.3.0~),
               python3-sphinx (>= 3.0.0~),
               python3-pytest
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://dupeguru.voltaicideas.net
Vcs-Git: https://salsa.debian.org/python-team/packages/dupeguru.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/dupeguru

Package: dupeguru
Architecture: any
Depends: ${python3:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Description: GUI tool to find duplicate files in a system
 dupeGuru is a tool to find duplicate files on your computer.
 .
 It can scan either filenames or contents. The filename scan features a
 fuzzy matching algorithm that can find duplicate filenames even when
 they are not exactly the same.
 .
 dupeGuru is customizable: you can tweak its matching engine to find
 exactly the kind of duplicates you want to find.

=== debian/rules ===
#!/usr/bin/make -f

export NO_VENV=yes
export DEB_BUILD_MAINT_OPTIONS=hardening=+all
export PYBUILD_NAME=dupeguru
export PYBUILD_INSTALL_ARGS_python3=--install-lib=/usr/share/dupeguru \
					--install-scripts=/usr/share/dupeguru
export PYBUILD_AFTER_BUILD=make qt/dg_rc.py; make build/help; make i18n

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_install:
	rm -fr debian/dupeguru/usr/include/
	rm -fr debian/dupeguru/usr/share/dupeguru/core/pe/modules/
	rm -fr debian/dupeguru/usr/share/dupeguru/core/tests/
	rm -fr debian/dupeguru/usr/share/dupeguru/hscommon/tests/
	rm -fr debian/dupeguru/usr/share/dupeguru/qt/pe/modules/
	rm -fr debian/dupeguru/usr/share/dupeguru/dupeguru
	rm -fr debian/dupeguru/usr/share/dupeguru/.pytest_cache/
	mv debian/dupeguru/usr/share/dupeguru/core/pe \
		debian/dupeguru/usr/lib/dupeguru/core
	mv debian/dupeguru/usr/share/dupeguru/qt/pe \
		debian/dupeguru/usr/lib/dupeguru/qt
	find debian/dupeguru/usr/share/dupeguru/locale/ \
		! -name "*.mo" -type f -delete

execute_after_dh_fixperms:
	chmod +x debian/dupeguru/usr/share/dupeguru/run.py

=== debian/watch ===
version=4
https://github.com/arsenetar/dupeguru/tags .*/v?(\d\S*)\.tar\.gz
